;**************************************************************************
;
;                     EduKitBeta & MU Beta example : Wire
;
; Processor : PIC16F84A
; Clock : XT 3.2768 MHz
;
; On your EduKitBeta board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on A4 LED on S3
;**************************************************************************
; Assembler directives :
        list    p = PIC16F84A   ; processor type
        __config 0x3FF1         ; configuration setting
;--------------------------------------------------------------------------
; Symbol definition :
status  equ     0x03            ;status is on the 0x03 address
porta   equ     0x05
trisa   equ     0x05            ;direct addressing
portb   equ     0x06
trisb   equ     0x06            ;direct addressing
;
#define PB      portb,7         ;pushbutton 2 is on the RB7 pin
#define LED     porta,4         ;LED is on the RA4 pin
#define RP0     status,5        ;RP0 is bit 5 in status register
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
        bsf     RP0             ;bank 1 in RAM memory
        movlw   B'11101111'
        movwf   trisa           ;pin RA4 is output
        movlw   B'11111111'
        movwf   trisb           ;portb pins are inputs
        bcf     RP0             ;bank 0 in RAM memory
;
Main:   btfss   PB              ;is PB 0 or 1?
        goto    Main_A          ;if PB=0, jump to main_A
        bsf     LED             ;PB=1, LED off
        goto    Main            ;closes the loop
Main_A: bcf     LED             ;LED on
        goto    Main            ;closes the loop
;**************************************************************************
; end of EduKitBeta & MU Beta example : Wire
        end
