;**************************************************************************
;
;               EduKitBeta & MU Beta example : PWM
;
; Processor : PIC16F627
; Clock : XT 3.2768 MHz
;
; On your EduKitBeta board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on B3 PIEZO on S4
;**************************************************************************
; Assembler directives :
        list    p = PIC16F627   ; processor type
        __config 0x3F61         ; configuration setting
;--------------------------------------------------------------------------
; Special Function Register definition :
        #include <P16f627.INC>
; Bits definition :
#define PB2     portb,7         ;pushbutton 2
#define PB3     porta,4         ;pushbutton 3
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
Start:  clrf    ccpr1h          ;PWM duty cycle = 0%
        clrf    ccpr1l
        movlw   B'00001111'     ;CCP1 mode = PWM
        movwf   ccp1con
        clrf    tmr2
        movlw   B'00000100'     ;timer2 on
        movwf   t2con
        bsf     status,RP0      ;bank 1
        movlw   B'11111111'     ;PWM period
        movwf   pr2
        movlw   B'11110111'     ;pin RB3 is output
        movwf   trisb
        bcf     status,RP0      ;bank 0
;
Main:   btfss   PB2             ;test pushbutton 2
        goto    Tone_A
        btfss   PB3             ;test pushbutton 3
        goto    Tone_B
        clrf    ccpr1l          ;none pushbutton is pressed
        bcf     ccp1con,CCP1X   ;PWM duty cycle = 0%
        bcf     ccp1con,CCP1Y
        goto    Main            ;closes the loop
;
Tone_A: movlw   0x04            ;PWM duty cycle = 1.6%
        movwf   ccpr1l
        goto    Main            ;closes the loop
Tone_B: movlw   0x80            ;PWM duty cycle = 50%
        movwf   ccpr1l
        goto    Main            ;closes the loop
;**************************************************************************
; end of EduKitBeta & MU Beta example : PWM
        end
