/*============================================================================

                  EduKitBeta Example : Wire

 Compiler/IDE : PICC-Lite and IDEA

 Processor : PIC16F84A
 Clock : XT 3.2768 MHz

 On your EduKitBeta board set DIP switches according to following way:
 1) Switch off all DIP switches except:
 2) Switch on A4 LED

============================================================================*/


/*============================================================================

       INCLUDE

============================================================================*/
#include <pic.h>


/*============================================================================

       Configuration Bits

============================================================================*/
__CONFIG(UNPROTECT & PWRTEN & WDTDIS & XT); 


/*============================================================================

       User definition

============================================================================*/
#define PORTBIT(adr,bit) ((unsigned)(&adr)*8+(bit)) //no modify this line

static bit button @ PORTBIT(PORTB,7);
static bit led @ PORTBIT(PORTA,4);


/*============================================================================

       Program

============================================================================*/

int main(void)
{

  TRISA=0xEF;
  TRISB=0xFF;

  for(;;) {
    if (button==1)
      led=1;
    else
      led=0;
  }

}
